# Load the rest of the code we'll use. This loads what we'll need in
# the executables; the library files are supposed to require what they
# need.

require 'common/configuration'
require 'common/errors'
require 'common/exit_codes'
require 'common/postfixadmin_db'

cfg = Configuration.new()

cfg.plugins.each do |plugin_file|
  require "rm/plugins/#{plugin_file}"
end

cfg.plugins.each do |plugin_file|
  require "mv/plugins/#{plugin_file}"
end
